Auctions
POST /auctions/{auctionId}/enter
Enter an auction
POST
/
auctions
/
{auctionId}
/
enter
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/auctions/{auctionId}/enterconst options = {method: 'POST'};
fetch('https://consumer.fanfare.io/api/auctions/{auctionId}/enter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auctions/{auctionId}/enter"
response = requests.post(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auctions/{auctionId}/enter"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"code": "<string>",
"action": "reroute",
"details": "<unknown>",
"issues": [
{
"message": "<string>",
"code": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"support": {
"confirmationCode": "<string>",
"message": "<string>",
"referenceCode": "<string>"
}
}{
"error": "<string>"
}⌘I
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/auctions/{auctionId}/enterconst options = {method: 'POST'};
fetch('https://consumer.fanfare.io/api/auctions/{auctionId}/enter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auctions/{auctionId}/enter"
response = requests.post(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auctions/{auctionId}/enter"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"code": "<string>",
"action": "reroute",
"details": "<unknown>",
"issues": [
{
"message": "<string>",
"code": "<string>",
"path": [
"<string>"
]
}
],
"message": "<string>",
"support": {
"confirmationCode": "<string>",
"message": "<string>",
"referenceCode": "<string>"
}
}{
"error": "<string>"
}